メインコンテンツへ移動
Nowledge MemNowledge Mem

メモリ関連を一覧表示

GET
/memories/{memory_id}/relations

あるメモリを中心とした意味的関連を一覧表示します。

パスパラメータ

memory_id*メモリID

クエリパラメータ

direction?方向
Default"both"

Value in

  • "out"
  • "in"
  • "both"
types?|

カンマ区切りのrelation_typeフィルター

status?ステータス

カンマ区切りのステータスフィルター、デフォルトはactive

Default"active"
limit?上限
Range1 <= value <= 200
Default50
offset?オフセット
Range0 <= value
Default0
space_id?string|null

レスポンスボディ

application/json

application/json

curl -X GET "https://example.com/memories/string/relations"
{  "memory_id": "string",  "relations": [    {      "id": "string",      "source_memory_id": "string",      "source_title": "",      "source_space_id": "string",      "target_memory_id": "string",      "target_title": "",      "target_space_id": "string",      "relation_type": "string",      "strength": 0,      "confidence": 0,      "bidirectional": false,      "status": "active",      "reviewed": true,      "source": "string",      "author_id": "string",      "agent_id": "string",      "source_app": "string",      "reason": "string",      "properties": {},      "created_at": null,      "updated_at": null,      "direction": "string"    }  ],  "total": 0}